#!/usr/bin/env python

# Copyright (C) 2008, 2009 Ksplice, Inc.
# Author: Waseem Daher
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
# 02110-1301, USA.
#
# Not a Contribution for purposes of the Fedora Project Individual Contributor
# License Agreement

from distutils.core import setup
from uptrack import version

mods = ['Uptrack', 'UptrackDepSolver', 'hashlib_compat',
        'subprocess_compat']
scripts = ['uptrack-upgrade', 'uptrack-manager', 'send-oops']
setup(name = 'Ksplice Uptrack',
      version = version.version,
      description = "Client for the Ksplice Uptrack rebootless kernel update service",
      author = "Waseem Daher",
      author_email = "support@ksplice.com",
      url = "http://www.ksplice.com/",
      license = "GPL",
      packages = ['uptrack'],
      py_modules = mods,
      scripts = scripts,
      )
